# std::quick_exit

From cppreference.com
< cpp‎ | utility‎ | program

Defined in header `<cstdlib>` |  |
[[noreturn]] void quick_exit( int exit_code ) noexcept; |  | (since C++11)

Causes normal program termination to occur without completely cleaning the resources.

Functions passed to std::at_quick_exit are called in reverse order of their registration. If an exception tries to propagate out of any of the functions, std::terminate is called. After calling the registered functions, calls std::_Exit (exit_code)

Functions passed to std::atexit are not called.

### Parameters

exit_code | - | exit status of the program

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

abort | causes abnormal program termination (without cleaning up) (function)
exit | causes normal program termination with cleaning up (function)
atexit | registers a function to be called on std::exit() invocation (function)
at_quick_exit (C++11) | registers a function to be called on `quick_exit` invocation (function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/program/quick_exit&oldid=108494"